dahdi-dkms_2.11.1~dfsg-1ubuntu4.1_all.deb


Advertisement

Description

dahdi-dkms - DAHDI telephony interface (dkms kernel driver)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe i386
Package filename dahdi-dkms_2.11.1~dfsg-1ubuntu4.1_all.deb
Package name dahdi-dkms
Package version 2.11.1~dfsg
Package release 1ubuntu4.1
Package architecture all
Package type deb
Category universe/devel
Homepage http://www.asterisk.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 720.80 KB
Installed size 5.56 MB
DAHDI (formly Zaptel) is an interface for telephony devices used by e.g.
the Asterisk PBX software. The dahdi-* packages provide the kernel
DAHDI kernel modules and their required setup environment.
The dkms package will automatically compile the driver for your current
kernel version.

Alternatives

Package Version Architecture Repository
dahdi-dkms_2.11.1~dfsg-1ubuntu4.1_all.deb 2.11.1~dfsg all Ubuntu Updates Universe
dahdi-dkms_2.11.1~dfsg-1ubuntu4_all.deb 2.11.1~dfsg all Ubuntu Universe
dahdi-dkms_2.11.1~dfsg-1ubuntu4_all.deb 2.11.1~dfsg all Ubuntu Universe
dahdi-dkms - - -

Requires

Name Value
dkms -
gawk -
gcc -
libc6-dev -
make -
wget -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package dahdi-dkms_2.11.1~dfsg-1ubuntu4.1_all.deb
Source Package dahdi-linux

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install dahdi-dkms deb package:
    # sudo apt-get install dahdi-dkms

Changelog

2019-05-10 - Connor Kuehl <connor.kuehl@canonical.com>
dahdi-linux (1:2.11.1~dfsg-1ubuntu4.1) bionic; urgency=medium
* Fix build for Linux kernel 5.0 (LP: #1813058)
- debian/patches/kernel-compat-5.0.patch
2018-01-03 - Marcelo Henrique Cerri <marcelo.cerri@canonical.com>
dahdi-linux (1:2.11.1~dfsg-1ubuntu4) bionic; urgency=medium
* Linux 4.15 compatibility (LP: #1737746)
- d/p/kernel-compat-4.15_0001-xpp-move-command_timer-functions-to-xbus-core.patch
- d/p/kernel-compat-4.15_0002-fix-building-with-4.15-init_timer-setup_timer.patch
2017-08-09 - Seth Forshee <seth.forshee@canonical.com>
dahdi-linux (1:2.11.1~dfsg-1ubuntu3) artful; urgency=medium
* Linux 4.13 compatibility (LP: #1706424)
- debian/patches/kernel-compat-4.13.patch
2017-06-28 - Seth Forshee <seth.forshee@canonical.com>
dahdi-linux (1:2.11.1~dfsg-1ubuntu2) artful; urgency=medium
* debian/patches/kernel-compat-4.11.patch: Miscellaneous updates to fix
build issues with 4.11 (LP: #1691828)
2017-06-12 - Stefan Bader <stefan.bader@canonical.com>
dahdi-linux (1:2.11.1~dfsg-1ubuntu1) artful; urgency=low
* Merge from Debian testing. Remaining changes:
- DKMS support:
- debian/control:
- dahdi-linux depends additionally on (dahdi-dkms | dahdi-source).
- dahdi-dkms added
- debian/dahdi-dkms.install.in
- debian/dahdi-dkms.postinst
- debian/dahdi-dkms.prerm
- debian/dkms.conf.in
- debian/rules:
- Add code to generate dkms package
- d/p/oslec-echo-in-kernel.diff
Disable build of echo.ko in favour of the same module provided by
the kernel.
- DEP-8 support (debian/tests/*)
- Import modifications by Javier Uruen Val <javi@warp.es>:
- debian/system.conf (pre-defined config shipped with dahdi-linux)
- debian/modules-load.d/dahdi-linux.conf:
- add dahdi_dummy
- add dahdi_transcode
* Dropped:
- debian/dahdi-source.install (for lintian)
- debian/lintian/dahdi-source
- debian/modules (->debian/modules-load.d/dahdi-linux.conf)
2016-09-21 - Tzafrir Cohen <tzafrir@debian.org>
dahdi-linux (1:2.11.1~dfsg-1) unstable; urgency=medium
[ Tzafrir Cohen ]
* New upstream version
* Load the module dahdi at boot (Closes: #823302)
* README.Debian: purge old and update (Closes: #795458)
* Set spantype for wctdm and wcfxo (Closes: #823952)
* Use secure VCS URLs
* Ignore debian/debhelper-build-stamp
* Standards version 3.9.8 (no change needed)
[ Chris Lamb ]
* Reproducible build: sources tarball at build date (Closes: #776622)
2015-12-17 - Stefan Bader <stefan.bader@canonical.com>
dahdi-linux (1:2.10.2~dfsg-1ubuntu1) xenial; urgency=low
* Merge from Debian testing. Remaining changes:
- DKMS support:
* debian/control:
- dahdi-linux depends additionally on (dahdi-dkms | dahdi-source).
- dahdi-dkms added
* debian/dahdi-dkms.install.in
* debian/dahdi-dkms.postinst
* debian/dahdi-dkms.prerm
* debian/dahdi-linux.install:
- added debian/modules
- added debian/system.conf
* debian/dkms.conf.in
- Dropping ap400, opvxd115, wcopenpci, and zaphfc from build as
those got dropped from the Debian extra patch.
* debian/modules
* debian/rules:
- Add code to generate dkms package
* debian/system.conf
- debian/dahdi-source.install (for lintian)
- debian/lintian/dahdi-source
- DEP-8 support (debian/tests/*)
- d/p/oslec-echo-in-kernel.diff
* Diable build of echo.ko in favour of the same module provided by
the kernel.
* Dropped patches:
- d/p/kernel-compat-3.18.patch
- d/p/kernel-compat-3.19.patch
- d/p/kernel-4.2-dev-printk-void.patch
- d/p/irqf-disabled-deprecated.patch
- d/p/strncasecmp.patch

See Also

Package Description
dahdi-linux_2.11.1~dfsg-1ubuntu4.1_all.deb DAHDI telephony interface - Linux userspace parts
dahdi-source_2.11.1~dfsg-1ubuntu4.1_all.deb DAHDI telephony interface - source code for kernel driver
dalvik-exchange_8.1.0+r23-2~18.04_all.deb Manipulate Dalvik eXchange format and produce dex files
dansguardian_2.10.1.1-5.1ubuntu0.18.04.2_i386.deb Web content filtering
db5.3-sql-util_5.3.28-13.1ubuntu1.1_i386.deb Berkeley v5.3 SQL Database Utilities
dbus-tests_1.12.2-1ubuntu1.1_i386.deb simple interprocess messaging system (test infrastructure)
debconf-utils_1.5.66ubuntu1_all.deb debconf utilities
dehydrated-apache2_0.6.2-2ubuntu0.18.04.1_all.deb dehydrated challenge response support for Apache2
dehydrated_0.6.2-2ubuntu0.18.04.1_all.deb ACME client implemented in Bash
dexdump_8.1.0+r23-3~18.04_i386.deb Displays information about Android DEX files
dexlist_8.1.0+r23-3~18.04_i386.deb Lists all methods in all concrete classes in Android DEX files
dh-apparmor_2.12-4ubuntu5.1_all.deb AppArmor debhelper routines
dh-apport_2.20.9-0ubuntu7.7_all.deb debhelper extension for the apport crash report system
dh-modaliases_0.5.2.3_all.deb debhelper extension for scanning kernel module aliases
dh-systemd_11.1.6ubuntu2_all.deb debhelper add-on to handle systemd unit files - transitional package
Advertisement
Advertisement